214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Context / 79 of 91

Cross-rate grid

GET/v1/fx/matrix

How many of one currency each other buys, for 2 to 10 currencies on one day: the newest day held, or the last day on or before the date asked.

On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
currenciesoptionalstring
query
2 to 10 ISO 4217 codes, comma separated (USD,EUR,GBP,JPY,CNY,THB when left out)
e.g. USD,EUR,THB
dateoptionaldate
query
A day (today when left out for holidays, the newest day held for rates)
e.g. 2026-12-25
Request
# Cross rates between up to ten currencies
curl "https://api.tourismapi.com/v1/fx/matrix" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_fc035d12c3",
        "data_as_of": "2026-10-21T17:42:32Z",
        "count": 1,
        "read": "rates[A][B] is how many B one A buys",
        "asked_for": null
    },
    "data": {
        "date": "2026-10-20",
        "currencies": [
            "JPY",
            "CNY",
            "THB"
        ],
        "rates": {
            "USD": {
                "USD": 1,
                "EUR": 0.891663,
                "GBP": 0.749247,
                "JPY": 158.128,
                "CNY": 6.67802,
                "THB": 33.6496
            },
            "EUR": {
                "USD": 1.1215,
                "EUR": 1,
                "GBP": 0.84028,
                "JPY": 177.34,
                "CNY": 7.4894,
                "THB": 37.738
            },
            "GBP": {
                "USD": 1.33467,
                "EUR": 1.19008,
                "GBP": 1,
                "JPY": 211.049,
                "CNY": 8.91298,
                "THB": 44.9112
            },
            "JPY": {
                "USD": 0.00632401,
                "EUR": 0.00563889,
                "GBP": 0.00473824,
                "JPY": 1,
                "CNY": 0.0422319,
                "THB": 0.2128
            },
            "CNY": {
                "USD": 0.149745,
                "EUR": 0.133522,
                "GBP": 0.112196,
                "JPY": 23.6788,
                "CNY": 1,
                "THB": 5.03885
            },
            "THB": {
                "USD": 0.0297181,
                "EUR": 0.0264985,
                "GBP": 0.0222662,
                "JPY": 4.69924,
                "CNY": 0.198458,
                "THB": 1
            }
        }
    }
}
Response fields
FieldTypeExample
datestring2026-10-20
currenciesarray3 items
ratesobjectobject